All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.taglib.servlet.tbeans.util.validators
Class MinimumValueValidatorTag

    com.sas.taglib.servlet.tbeans.util.validators.MinimumValueValidatorTag

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag, javax.servlet.jsp.tagext.TryCatchFinally

    public class MinimumValueValidatorTag

MinimumValueValidatorTag is the tag handler class for the sas:MinimumValueValidator custom tag . MinimumValueValidatorTag is invoked by the JSP page to evaluate the sas:MinimumValueValidator custom tag during the execution of the page. Tag handler methods are called by the JSP page implementation class at various points during the evaluation of the tag. The tag handler methods in turn call methods on the underlying Transformation Bean object, MinimumValueValidator, to execute the methods.

If you need to extend or modify the functionality of the sas:MinimumValueValidator custom tag, you can subclass this tag handler class.

For More Information:

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Refer to the Custom Tag Library Reference for usage information on the sas:MinimumValueValidator custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site.

See Also:
  `MinimumValueValidator`, Serialized Form

Field Summary

Fields inherited from class com.sas.taglib.BaseTag
`APPLICATION, PAGE, RB_KEY, REQUEST, SESSION`

Constructor Summary
`MinimumValueValidatorTag()`

Method Summary
`protected void` | `applyAttributes()` Sets the attributes on the underlying DateStringValidator object.
`int` | `doStartTag()` Processes the start tag for this instance.
`int` | `getMinValue()` Returns the minimum value set.
`protected void` | `initialize(boolean includeAttributes)` Initializes attributes and variables for this tag handler.
`void` | `setMinValue(int min)` Sets the minimum value to use.

Methods inherited from class com.sas.taglib.servlet.tbeans.util.validators.BaseValidatorTag
`getClearErrorsFunctionName, getErrorHandlerFunctionName, getErrorMessage, getValidationFunctionName, setClearErrorsFunctionName, setErrorHandlerFunctionName, setErrorMessage, setValidationFunctionName`

Methods inherited from class com.sas.taglib.BaseTag
`convertScope, doCatch, doFinally, getApplyAttributes, getComponentFromParentComposite, getCompositeComponentKey, getInstantiate, getLocale, getPageContext, getRef, getScope, getTagScope, getWrappedClassName, getWrappedObject, getWrappedObject, loadBeanInstance, newInstance, release, removeFromScope, searchContext, setApplyAttributes, setComponentOnParentComposite, setCompositeComponentKey, setInstantiate, setLocale, setRef, setScope, setTagScope, setVariableWithinScope, setWrappedClassName, setWrappedObject, validate`

Constructor Detail

### MinimumValueValidatorTag

    public MinimumValueValidatorTag()

Method Detail

### initialize

    protected void initialize(boolean includeAttributes)

  Initializes attributes and variables for this tag handler.

  Overrides:
    `initialize` in class `BaseValidatorTag`
  Parameters:
    `includeAttributes` - Set to true if attributes are to be set to default values.

### setMinValue

    public void setMinValue(int min)

  Sets the minimum value to use.

  Parameters:
    `max` - the minimum value to use.

### getMinValue

    public int getMinValue()

  Returns the minimum value set.

  Returns:
    the Minimum value.

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Processes the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `BaseTag`
  Returns:
    int designating the next course of action for the tag/jsp page.
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if some type of JSP error occurs
  See Also:
    `BaseTag.setInstantiate(boolean)`, `TagSupport.doStartTag()`

### applyAttributes

    protected void applyAttributes()
                            throws javax.servlet.jsp.JspException

  Sets the attributes on the underlying DateStringValidator object.

  Overrides:
    `applyAttributes` in class `BaseValidatorTag`
  Throws:
    `javax.servlet.jsp.JspException` - Thrown if some type of JSP error occurs

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.